import ref = require('ref-napi');
import refStructDi = require('ref-struct-di');
declare const PactHandle: refStructDi.StructType<{
    pact: ref.Type<ref.Pointer<void>>;
}>;
declare const InteractionHandle: refStructDi.StructType<{
    pact: ref.Type<ref.Pointer<void>>;
    interaction: ref.Type<ref.Pointer<void>>;
}>;
export declare type FfiDeclarations = {
    pactffi_init: ['string', ['string']];
    pactffi_version: ['string', []];
    pactffi_free_string: ['void', ['string']];
    pactffi_verify: ['int', ['string']];
    pactffi_create_mock_server_for_pact: [
        'int',
        [
            typeof PactHandle,
            'string',
            'bool'
        ]
    ];
    pactffi_new_pact: [typeof PactHandle, ['string', 'string']];
    pactffi_with_specification: ['void', [typeof PactHandle, 'int']];
    pactffi_new_interaction: [
        typeof InteractionHandle,
        [
            typeof PactHandle,
            'string'
        ]
    ];
    pactffi_upon_receiving: ['void', [typeof InteractionHandle, 'string']];
    pactffi_given: ['void', [typeof InteractionHandle, 'string']];
    pactffi_given_with_param: [
        'void',
        [
            typeof InteractionHandle,
            'string',
            'string',
            'string'
        ]
    ];
    pactffi_with_request: [
        'void',
        [
            typeof InteractionHandle,
            'string',
            'string'
        ]
    ];
    pactffi_with_query_parameter: [
        'void',
        [
            typeof InteractionHandle,
            'string',
            'int',
            'string'
        ]
    ];
    pactffi_with_header: [
        'void',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'int',
            'string'
        ]
    ];
    pactffi_with_body: [
        'void',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'string'
        ]
    ];
    pactffi_with_binary_file: [
        'void',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'string',
            'int'
        ]
    ];
    pactffi_with_multipart_file: [
        'void',
        [
            typeof InteractionHandle,
            'int',
            'string',
            'string',
            'string'
        ]
    ];
    pactffi_response_status: ['void', [typeof InteractionHandle, 'int']];
    pactffi_write_pact_file: ['int', ['int', 'string']];
    pactffi_cleanup_mock_server: ['bool', ['int']];
    pactffi_mock_server_mismatches: ['string', ['int']];
    pactffi_get_tls_ca_certificate: ['string', []];
    pactffi_log_message: ['void', ['string', 'string', 'string']];
    pactffi_log_to_buffer: ['int', ['int']];
    pactffi_init_with_log_level: ['void', ['int']];
    pactffi_log_to_stdout: ['int', ['int']];
    pactffi_log_to_file: ['int', ['string', 'int', 'int']];
    pactffi_fetch_log_buffer: ['string', ['int']];
};
export declare const declarations: FfiDeclarations;
export declare enum FfiFunctionResult {
    RESULT_OK = 0,
    RESULT_FAILED = 1
}
export declare enum FfiSpecificationVersion {
    SPECIFICATION_VERSION_UNKNOWN = 0,
    SPECIFICATION_VERSION_V1 = 1,
    SPECIFICATION_VERSION_V1_1 = 2,
    SPECIFICATION_VERSION_V2 = 3,
    SPECIFICATION_VERSION_V3 = 4,
    SPECIFICATION_VERSION_V4 = 5
}
export declare enum FfiInteractionPart {
    INTERACTION_PART_REQUEST = 0,
    INTERACTION_PART_RESPONSE = 1
}
export declare enum FfiLogLevelFilter {
    LOG_LEVEL_OFF = 0,
    LOG_LEVEL_ERROR = 1,
    LOG_LEVEL_WARN = 2,
    LOG_LEVEL_INFO = 3,
    LOG_LEVEL_DEBUG = 4,
    LOG_LEVEL_TRACE = 5
}
export {};
