"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FfiLogLevelFilter = exports.FfiInteractionPart = exports.FfiSpecificationVersion = exports.FfiFunctionResult = exports.declarations = void 0;
var ref = require("ref-napi");
var refStructDi = require("ref-struct-di");
var struct = refStructDi(ref);
var unknown = ref.types.void;
var pact = unknown;
var interaction = unknown;
var InteractionPtr = ref.refType(interaction);
var PactPtr = ref.refType(pact);
var PactHandle = struct({
    pact: PactPtr,
});
var InteractionHandle = struct({
    pact: PactPtr,
    interaction: InteractionPtr,
});
exports.declarations = {
    pactffi_init: ['string', ['string']],
    pactffi_version: ['string', []],
    pactffi_free_string: ['void', ['string']],
    pactffi_verify: ['int', ['string']],
    pactffi_create_mock_server_for_pact: ['int', [PactHandle, 'string', 'bool']],
    pactffi_new_pact: [PactHandle, ['string', 'string']],
    pactffi_with_specification: ['void', [PactHandle, 'int']],
    pactffi_new_interaction: [InteractionHandle, [PactHandle, 'string']],
    pactffi_upon_receiving: ['void', [InteractionHandle, 'string']],
    pactffi_given: ['void', [InteractionHandle, 'string']],
    pactffi_given_with_param: [
        'void',
        [InteractionHandle, 'string', 'string', 'string'],
    ],
    pactffi_with_request: ['void', [InteractionHandle, 'string', 'string']],
    pactffi_with_query_parameter: [
        'void',
        [InteractionHandle, 'string', 'int', 'string'],
    ],
    pactffi_with_header: [
        'void',
        [InteractionHandle, 'int', 'string', 'int', 'string'],
    ],
    pactffi_with_body: ['void', [InteractionHandle, 'int', 'string', 'string']],
    pactffi_with_binary_file: [
        'void',
        [InteractionHandle, 'int', 'string', 'string', 'int'],
    ],
    pactffi_with_multipart_file: [
        'void',
        [InteractionHandle, 'int', 'string', 'string', 'string'],
    ],
    pactffi_response_status: ['void', [InteractionHandle, 'int']],
    pactffi_write_pact_file: ['int', ['int', 'string']],
    pactffi_cleanup_mock_server: ['bool', ['int']],
    pactffi_mock_server_mismatches: ['string', ['int']],
    pactffi_get_tls_ca_certificate: ['string', []],
    pactffi_log_message: ['void', ['string', 'string', 'string']],
    pactffi_log_to_buffer: ['int', ['int']],
    pactffi_init_with_log_level: ['void', ['int']],
    pactffi_fetch_log_buffer: ['string', ['int']],
    pactffi_log_to_stdout: ['int', ['int']],
    pactffi_log_to_file: ['int', ['string', 'int', 'int']],
};
var FfiFunctionResult;
(function (FfiFunctionResult) {
    FfiFunctionResult[FfiFunctionResult["RESULT_OK"] = 0] = "RESULT_OK";
    FfiFunctionResult[FfiFunctionResult["RESULT_FAILED"] = 1] = "RESULT_FAILED";
})(FfiFunctionResult = exports.FfiFunctionResult || (exports.FfiFunctionResult = {}));
var FfiSpecificationVersion;
(function (FfiSpecificationVersion) {
    FfiSpecificationVersion[FfiSpecificationVersion["SPECIFICATION_VERSION_UNKNOWN"] = 0] = "SPECIFICATION_VERSION_UNKNOWN";
    FfiSpecificationVersion[FfiSpecificationVersion["SPECIFICATION_VERSION_V1"] = 1] = "SPECIFICATION_VERSION_V1";
    FfiSpecificationVersion[FfiSpecificationVersion["SPECIFICATION_VERSION_V1_1"] = 2] = "SPECIFICATION_VERSION_V1_1";
    FfiSpecificationVersion[FfiSpecificationVersion["SPECIFICATION_VERSION_V2"] = 3] = "SPECIFICATION_VERSION_V2";
    FfiSpecificationVersion[FfiSpecificationVersion["SPECIFICATION_VERSION_V3"] = 4] = "SPECIFICATION_VERSION_V3";
    FfiSpecificationVersion[FfiSpecificationVersion["SPECIFICATION_VERSION_V4"] = 5] = "SPECIFICATION_VERSION_V4";
})(FfiSpecificationVersion = exports.FfiSpecificationVersion || (exports.FfiSpecificationVersion = {}));
var FfiInteractionPart;
(function (FfiInteractionPart) {
    FfiInteractionPart[FfiInteractionPart["INTERACTION_PART_REQUEST"] = 0] = "INTERACTION_PART_REQUEST";
    FfiInteractionPart[FfiInteractionPart["INTERACTION_PART_RESPONSE"] = 1] = "INTERACTION_PART_RESPONSE";
})(FfiInteractionPart = exports.FfiInteractionPart || (exports.FfiInteractionPart = {}));
var FfiLogLevelFilter;
(function (FfiLogLevelFilter) {
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_OFF"] = 0] = "LOG_LEVEL_OFF";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_ERROR"] = 1] = "LOG_LEVEL_ERROR";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_WARN"] = 2] = "LOG_LEVEL_WARN";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_INFO"] = 3] = "LOG_LEVEL_INFO";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_DEBUG"] = 4] = "LOG_LEVEL_DEBUG";
    FfiLogLevelFilter[FfiLogLevelFilter["LOG_LEVEL_TRACE"] = 5] = "LOG_LEVEL_TRACE";
})(FfiLogLevelFilter = exports.FfiLogLevelFilter || (exports.FfiLogLevelFilter = {}));
//# sourceMappingURL=declarations.js.map